<?php

class ProjectProductList extends CBitrixComponent {

    public function executeComponent() {
        global $APPLICATION;
        global $arrSectionTop;
        $arrSectionTop = $this->arParams['FILTER'];

        $arParams = array(
            'WRAPPER' => $this->arParams['WRAPPER'] ?: '',
            'HEADER' => $this->arParams['HEADER'],
            'HEADER_URL' => $this->arParams['HEADER_URL'],
            'FILTER' => $this->arResult['FILTER'],
            'TYPE_VIEW' => $this->arParams['TYPE_VIEW'] ?: 'CARD',
            'IBLOCK_TYPE' => 'catalog',
            'IBLOCK_ID' => '2',
            'ELEMENT_SORT_FIELD' => 'desc',
            'ELEMENT_SORT_ORDER' => 'asc',
            'ELEMENT_SORT_FIELD2' => 'id',
            'ELEMENT_SORT_ORDER2' => 'desc',
            'PROPERTY_CODE' =>
            array(
                0 => 'NEWPRODUCT',
                1 => 'SALELEADER',
                2 => 'SPECIALOFFER',
                3 => '',
            ),
            'PROPERTY_CODE_MOBILE' =>
            array(
                0 => 'NEWPRODUCT',
                1 => 'SALELEADER',
                2 => 'SPECIALOFFER',
            ),
            'META_KEYWORDS' => 'UF_KEYWORDS',
            'META_DESCRIPTION' => 'UF_META_DESCRIPTION',
            'BROWSER_TITLE' => 'UF_BROWSER_TITLE',
            'SET_LAST_MODIFIED' => 'Y',
            'INCLUDE_SUBSECTIONS' => 'A',
            'BASKET_URL' => '/personal/cart/',
            'ACTION_VARIABLE' => 'action',
            'PRODUCT_ID_VARIABLE' => 'id',
            'SECTION_ID_VARIABLE' => 'SECTION_ID',
            'PRODUCT_QUANTITY_VARIABLE' => 'quantity',
            'PRODUCT_PROPS_VARIABLE' => 'prop',
            'FILTER_NAME' => 'arrSectionTop',
            'CACHE_TYPE' => 'A',
            'CACHE_TIME' => '36000000',
            'CACHE_FILTER' => 'Y',
            'CACHE_GROUPS' => 'Y',
            'SET_TITLE' => 'Y',
            'MESSAGE_404' => '',
            'SET_STATUS_404' => 'Y',
            'SHOW_404' => 'N',
            'FILE_404' => NULL,
            'DISPLAY_COMPARE' => 'Y',
            'PAGE_ELEMENT_COUNT' => $this->arParams['PAGE_ELEMENT_COUNT'] ?: 20,
            'LINE_ELEMENT_COUNT' => '4',
            'PRICE_CODE' =>
            array(
                0 => 'BASE',
            ),
            'USE_PRICE_COUNT' => 'N',
            'SHOW_PRICE_COUNT' => '1',
            'PRICE_VAT_INCLUDE' => 'Y',
            'USE_PRODUCT_QUANTITY' => 'N',
            0 => 'Y',
            'ADD_PROPERTIES_TO_BASKET' => 'Y',
            'PARTIAL_PRODUCT_PROPERTIES' => 'N',
            'PRODUCT_PROPERTIES' =>
            array(
            ),
            'DISPLAY_TOP_PAGER' => 'N',
            'DISPLAY_BOTTOM_PAGER' => $this->arParams['DISPLAY_BOTTOM_PAGER'] ?: 'N',
            'PAGER_TITLE' => 'Товары',
            'PAGER_SHOW_ALWAYS' => 'N',
            'PAGER_TEMPLATE' => 'round',
            'PAGER_DESC_NUMBERING' => 'N',
            'PAGER_DESC_NUMBERING_CACHE_TIME' => '36000000',
            'PAGER_SHOW_ALL' => 'N',
            'PAGER_BASE_LINK_ENABLE' => $this->arParams['PAGER_BASE_LINK_ENABLE'] ?: 'N',
            'PAGER_BASE_LINK' => $this->arParams['PAGER_BASE_LINK'] ?: NULL,
            'PAGER_PARAMS_NAME' => 'PAGE',
            'LAZY_LOAD' => 'N',
            'MESS_BTN_LAZY_LOAD' => NULL,
            'LOAD_ON_SCROLL' => 'N',
            'OFFERS_CART_PROPERTIES' =>
            array(
                0 => "ARTNUMBER",
                1 => "ROLLWEIGHT",
                2 => "SIZE",
                3 => "MEASURE",
                4 => "FILMWIDTH",
                5 => "COLOR",
                6 => "COLORCOVERS",
                7 => "TEMPERATURE",
                8 => "PLINTH",
                9 => "THROUGHPUT",
                10 => "NUMBEROFCAPES",
                11 => "MODIFICATION",
            ),
            'OFFERS_FIELD_CODE' =>
            array(
                0 => 'NAME',
                1 => '',
            ),
            'OFFERS_PROPERTY_CODE' =>
            array(
                0 => 'ARTNUMBER',
                1 => 'MEASURE',
                2 => 'FILMWIDTH',
                3 => 'COLOR',
                4 => 'COLORCOVERS',
                5 => 'TEMPERATURE',
                6 => 'PLINTH',
                7 => 'THROUGHPUT',
                8 => 'NUMBEROFCAPES',
                9 => 'MODIFICATION',
                10 => 'NOTICE',
                "ROLLWEIGHT",
                "SIZE"
            ),
            'OFFERS_SORT_FIELD' => 'sort',
            'OFFERS_SORT_ORDER' => 'desc',
            'OFFERS_SORT_FIELD2' => 'id',
            'OFFERS_SORT_ORDER2' => 'desc',
            'OFFERS_LIMIT' => '0',
//            'SECTION_ID' => '44',
            'SHOW_ALL_WO_SECTION' => 'Y',
            'SECTION_URL' => '/catalog/#SECTION_CODE_PATH#/',
            'DETAIL_URL' => '/catalog/#SECTION_CODE_PATH#/#ELEMENT_CODE#/',
            'USE_MAIN_ELEMENT_SECTION' => 'N',
            'CONVERT_CURRENCY' => 'N',
            'CURRENCY_ID' => NULL,
            'HIDE_NOT_AVAILABLE' => 'N',
            'HIDE_NOT_AVAILABLE_OFFERS' => 'N',
            'LABEL_PROP' =>
            array(
                0 => 'NEWPRODUCT',
                1 => 'SALELEADER',
                2 => 'SPECIALOFFER',
            ),
            'LABEL_PROP_MOBILE' =>
            array(
                0 => 'NEWPRODUCT',
                1 => 'SALELEADER',
                2 => 'SPECIALOFFER',
            ),
            'LABEL_PROP_POSITION' => 'top-left',
            'ADD_PICT_PROP' => 'MORE_PHOTO',
            'PRODUCT_DISPLAY_MODE' => 'Y',
            'PRODUCT_BLOCKS_ORDER' => 'price,props,sku,quantityLimit,quantity,buttons,compare',
            'PRODUCT_ROW_VARIANTS' => '[{\'VARIANT\':\'2\',\'BIG_DATA\':false},{\'VARIANT\':\'2\',\'BIG_DATA\':false},{\'VARIANT\':\'2\',\'BIG_DATA\':false},{\'VARIANT\':\'2\',\'BIG_DATA\':false},{\'VARIANT\':\'2\',\'BIG_DATA\':false}]',
            'ENLARGE_PRODUCT' => 'STRICT',
            'ENLARGE_PROP' => '',
            'SHOW_SLIDER' => 'Y',
            'SLIDER_INTERVAL' => '3000',
            'SLIDER_PROGRESS' => 'N',
            'OFFER_ADD_PICT_PROP' => 'MORE_PHOTO',
            'OFFER_TREE_PROPS' =>
            array(
                0 => 'MEASURE',
                1 => 'FILMWIDTH',
                2 => 'COLOR',
                3 => 'COLORCOVERS',
                4 => 'TEMPERATURE',
                5 => 'PLINTH',
                6 => 'THROUGHPUT',
                7 => 'NUMBEROFCAPES',
                8 => 'MODIFICATION',
			"ROLLWEIGHT",
			"SIZE",
            ),
            'PRODUCT_SUBSCRIPTION' => 'Y',
            'SHOW_DISCOUNT_PERCENT' => 'Y',
            'DISCOUNT_PERCENT_POSITION' => 'bottom-right',
            'SHOW_OLD_PRICE' => 'Y',
            'SHOW_MAX_QUANTITY' => 'N',
            'MESS_SHOW_MAX_QUANTITY' => '',
            'RELATIVE_QUANTITY_FACTOR' => '',
            'MESS_RELATIVE_QUANTITY_MANY' => '',
            'MESS_RELATIVE_QUANTITY_FEW' => '',
            'MESS_BTN_BUY' => 'Купить',
            'MESS_BTN_ADD_TO_BASKET' => 'В корзину',
            'MESS_BTN_SUBSCRIBE' => 'Подписаться',
            'MESS_BTN_DETAIL' => 'Подробнее',
            'MESS_NOT_AVAILABLE' => 'Нет в наличии',
            'MESS_BTN_COMPARE' => 'Сравнение',
            'USE_ENHANCED_ECOMMERCE' => 'N',
            'DATA_LAYER_NAME' => '',
            'BRAND_PROPERTY' => '',
            'TEMPLATE_THEME' => 'site',
            'ADD_SECTIONS_CHAIN' => 'N',
            'ADD_TO_BASKET_ACTION' => 'ADD',
            'SHOW_CLOSE_POPUP' => 'Y',
            'COMPARE_PATH' => '/catalog/compare/',
            'COMPARE_NAME' => 'CATALOG_COMPARE_LIST',
            'BACKGROUND_IMAGE' => '-',
            'COMPATIBLE_MODE' => 'Y',
            'DISABLE_INIT_JS_IN_COMPONENT' => 'N',
        );
        $APPLICATION->IncludeComponent("bitrix:catalog.section", $this->GetTemplateName(), $arParams);
    }

}
